Index Page pi_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       SpiceDouble pi_c ( void )
#### Abstract
       Return the value of pi (the ratio of the circumference of
       a circle to its diameter).
#### Required_Reading
       None.
#### Keywords
       CONSTANTS
#### Brief_I/O
       The function returns the value of pi.
#### Detailed_Input
       None.
#### Detailed_Output
       The function returns the value of pi (the ratio of a circle's
       circumference to its diameter), determined by the ACOS function.
       That is,

             pi_c = acos ( -1.0 );
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       The first time the function is referenced, the value is computed
       as shown above. The value is saved, and returned directly upon
       subsequent reference.
#### Examples
       The code fragment below illustrates the use of pi_c.

          /.
                 Compute the polar radius,

                             p
                      ----------------
                      1 + e cos(theta)

                 at evenly spaced values of the polar angle, theta.
          ./
                delta = pi_c() / n

                for ( i = 0; i < n, i++ )
                   {
                   r[i] = p / (1.0 + ecc * cos( i * delta) );
                   }
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       E.D. Wright     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)
#### Index_Entries
       value of pi
#### Link to routine pi_c source file pi_c.c

    Wed Jun  9 13:05:27 2010